namespace SharedEF;

public interface IGenericRepository<T>
{
    Task<IEnumerable<T>> GetItems(int index, int count, Enum? orderingProperty = null, bool descending = false);
    Task<T> GetItemById(int id);
    Task<T> UpdateItem(int oldItem, T newItem);
    Task<T> AddItem(T item);
    Task<bool> DeleteItem(T item);
    Task<int> GetNbItems();

}